Package io.vertx.grpc

## Class VertxServer

- java.lang.Object
- - io.grpc.Server
  - - io.vertx.grpc.VertxServer

-     public class VertxServer
      extends Server

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `awaitTermination()` |
    `boolean` | `awaitTermination​(long timeout, TimeUnit unit)` |
    `int` | `getPort()` |
    `Server` | `getRawServer()` |
    `boolean` | `isShutdown()` |
    `boolean` | `isTerminated()` |
    `VertxServer` | `shutdown()` |
    `VertxServer` | `shutdown​(Completable<Void> completionHandler)` |
    `VertxServer` | `shutdownNow()` |
    `VertxServer` | `start()` |
    `VertxServer` | `start​(Completable<Void> completionHandler)` |

    - ### Methods inherited from class io.grpc.Server

      `getImmutableServices, getListenSockets, getMutableServices, getServices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### start

          public VertxServer start()
                            throws IOException

      Specified by:
        `start` in class `Server`
      Throws:
        `IOException`

    - #### start

          public VertxServer start​(Completable<Void> completionHandler)

    - #### shutdown

          public VertxServer shutdown()

      Specified by:
        `shutdown` in class `Server`

    - #### shutdown

          public VertxServer shutdown​(Completable<Void> completionHandler)

    - #### getPort

          public int getPort()

      Overrides:
        `getPort` in class `Server`

    - #### shutdownNow

          public VertxServer shutdownNow()

      Specified by:
        `shutdownNow` in class `Server`

    - #### isShutdown

          public boolean isShutdown()

      Specified by:
        `isShutdown` in class `Server`

    - #### isTerminated

          public boolean isTerminated()

      Specified by:
        `isTerminated` in class `Server`

    - #### awaitTermination

          public boolean awaitTermination​(long timeout,
                                          TimeUnit unit)
                                   throws InterruptedException

      Specified by:
        `awaitTermination` in class `Server`
      Throws:
        `InterruptedException`

    - #### awaitTermination

          public void awaitTermination()
                                throws InterruptedException

      Specified by:
        `awaitTermination` in class `Server`
      Throws:
        `InterruptedException`

    - #### getRawServer

          public Server getRawServer()